# Interface methods for submodule: HConcaveImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: HConcaveImageFilter
class HConcaveImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@overload
	def SetHeight(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetHeight(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetHeight(self) -> float:
		""""""
		...

	@overload
	def GetHeight(self) -> int:
		""""""
		...

	def SetFullyConnected(self, _arg: bool) -> None:
		""""""
		...

	def GetFullyConnected(self) -> bool:
		""""""
		...

	def FullyConnectedOn(self) -> None:
		""""""
		...

	def FullyConnectedOff(self) -> None:
		""""""
		...

